#include <stdio.h>

/* Função que calcula a área de um círculo dado seu raio. */
float calcularAreaCirculo(float raio) {
	float pi = 3.141592;
	return pi * raio * raio;
}

/* Função principal. */
main() {
	float r, area, maior;
	int i;
	
	// A maior área até agora é zero.
	maior = 0;

	// Executa o mesmo procedimento para 10 círculos.
	for (i = 1; i <= 10; i++) {
		// Lê o raio do círculo.
		printf("Raio do %dº círculo: ", i);
		scanf("%f", &r);
		
		// Calcula e imprime a área.
		area = calcularAreaCirculo(r);
		printf("Área do %dº círculo: %f\n", i, area);
		
		// Verifica se é maior do que a registrada anteriormente. Se é, registra esta como maior.
		if (area > maior) maior = area;
	}
	
	// Imprime a maior área de toda.
	printf("Maior área calculada: %f\n", maior);
}
