#include <stdio.h>

/* Função que determina se um número é primo. */
int ehPrimo(int num) {
	// Supõe que o número é primo se for maior que 1.
	int primo = (num > 1);

	// Verifica se tem algum número que o divide.
	int div = 2;
	while (primo && (div < num / 2)) {
		if ((num % div) == 0) primo = 0;
		div++;
	}
	
	// Retorna se o número é primo ou não.
	return primo;		
}

/* Função principal. */
main() {
	int a, b, num;
	
	// Lê A e B.
	printf("Informe A e B inteiros: ");
	scanf("%d %d", &a, &b);

	// Testa todos os números no intervalo [A..B]. Se for primo mesmo, imprime.
	for (num = a; num <= b; num++) if (ehPrimo(num)) printf("%d\n", num);
}
