#include <stdio.h>

/* Função que calcula o somatório de 1 a N, dado N. */
int somatorio(int n) {
	int soma = 0;
	while (n > 0) soma += n--;
	return soma;
}

/* Procedimento que lê N e imprime o somatório de N, se N for positivo. */
void imprimirSomatorio() {
	int n;
	printf("Informe N: ");
	scanf("%d", &n);
	
	// Se o valor for 0 ou negativo, repete a leitura até que seja positivo.
	while (n <= 0) {
		printf("Valor inválido. N deve ser positivo. Informe N: ");
		scanf("%d", &n);
	}
	
	// Imprime o somatório.
	printf("O somatório de %d é: %d\n", n, somatorio(n));
}

/* Função principal. */
main() {
	int i;
	
	// Lê 5 números e imprime os seus somatórios.
	for (i = 0; i < 5; i++) imprimirSomatorio();
}
